# List Waiters

> List all active waiters for a specific event ID.

## Endpoint

`GET https://qstash-{region}.upstash.io/v2/waiters/{eventId}`

List all active waiters for a specific event ID.

Returns information about all workflow runs that are currently waiting for the specified event.


## Parameters

- `eventId` (path, string, required): The event ID to list waiters for.

## Responses

### 200 - List of active waiters


### 400 - Bad Request - Invalid event ID

- `error` (string, required): Error message

### 401 - Unauthorized

- `error` (string, required): Error message

### 500 - Internal Server Error

- `error` (string, required): Error message

## cURL

```bash
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/waiters/{eventId} \
  --header 'Authorization: Bearer <token>'
```
